### Method

# EvinceDocument Document load_gfile

#### Declaration [src]

    gboolean
    ev_document_load_gfile (
      EvDocument* document,
      GFile* file,
      EvDocumentLoadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously loads the document from `file`. See `ev_document_load()` for more information.

Available since: | 3.6

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`flags` | `EvDocumentLoadFlags`
| Flags from `EvDocumentLoadFlags`.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if loading succeeded, or `FALSE` on error with `error` filled in.